import { useIntersectionObserver } from "@vueuse/core";
export default (app) => {
  // -- 图片懒加载
  app.directive("img-lazy", {
    mounted(el, binding) {
      const { stop } = useIntersectionObserver(el, ([{ isIntersecting }]) => {
        // console.log(isIntersecting)
        if (isIntersecting) {
          // 进入视口区域
          el.src = binding.value;
          stop();
        }
      });
    },
  });
};
