import { createApp } from "vue";
import { createPinia } from "pinia";
import App from "@/App.vue";
import router from "@/router";
import directives from "@/directives";
import filters from "@/filters";
import vconsole from "vconsole";
import "amfe-flexible";
import "@/assets/styles/main.css";

if (import.meta.env.VITE_ENV !== "prod") {
  new vconsole();
}

const app = createApp(App);
app.use(createPinia());
app.use(router);
//配置全局属性，访问：在setup函数中通过ctx访问，如：ctx.$filters
app.config.globalProperties.$filters = filters;
app.mount("#app");

//自定义指令
directives(app);
