import { apiCommon } from "@/api/apiServer";

class LibForWeixin {
  /**
   * 微信授权
   * @param options
   */
  static auth(options) {
    let {
      appid,
      state,
      base = "",
      path = "",
      scope = "snsapi_userinfo",
    } = options;
    let redirect_uri = encodeURIComponent(
      `${window.location.origin}${
        base ? base.slice(0, base.length - 1) : ""
      }${path}`
    );
    window.location.replace(
      `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${appid}&redirect_uri=${redirect_uri}&response_type=code&scope=${scope}&state=${
        state ? encodeURIComponent(state) : ""
      }#wechat_redirect`
    );
  }

  /**
   * 注册JS-SDK
   * @param jsApiList // 需要使用的JS接口列表
   * @returns
   */
  static initJSSDK(jsApiList) {
    console.log("jsApiList > ", jsApiList);
    return new Promise(async (resolve, reject) => {
      let url = window.location.href;
      return resolve(null);
      try {
        const resp = await apiCommon.getJSSDKConfigs(url);
        const { appId, timestamp, nonceStr, signature } = resp.data;
        window.wx.config({
          debug: import.meta.env.MODE === "dev",
          appId,
          timestamp,
          nonceStr,
          signature,
          jsApiList,
        });
        window.wx.ready(() => {
          resolve(null);
        });
        window.wx.error((err) => {
          reject(err);
        });
      } catch {
        reject();
      }
    });
  }
}

export default LibForWeixin;
